<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:id="@+id/container"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="120dp"
        android:background="@drawable/game_detail_more_dialog_background">

        <include
            android:id="@+id/toolbarContainer"
            layout="@layout/layout_dialog_panel_titlebar"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dialog_panel_titlebar_height" />

        <RelativeLayout
            android:id="@+id/listContainer"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/bottomContainer"
            android:layout_below="@id/toolbarContainer"
            android:layout_marginBottom="56dp"
            android:descendantFocusability="beforeDescendants"
            android:focusableInTouchMode="true">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/list_rv"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </RelativeLayout>

        <include
            android:id="@+id/fixedTopFilterView"
            layout="@layout/piece_article_detail_comment_filter"
            android:layout_width="match_parent"
            android:layout_height="44dp"
            android:layout_below="@id/toolbarContainer"
            android:visibility="gone"
            tools:visibility="visible" />

        <View
            android:visibility="gone"
            android:id="@+id/bottomShadowView"
            android:layout_width="match_parent"
            android:layout_height="6dp"
            android:layout_above="@id/input_container"
            android:alpha="0.3"
            android:background="@drawable/shadow" />

        <include
            android:id="@+id/input_container"
            android:layout_width="match_parent"
            android:layout_height="56dp"
            android:layout_alignParentBottom="true"
            layout="@layout/piece_article_input_container" />

        <FrameLayout
            android:id="@+id/skeleton"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@id/toolbarContainer" />

        <include
            layout="@layout/reuse_loading"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true" />

        <include
            layout="@layout/reuse_no_connection"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@+id/toolbarContainer" />

        <include
            layout="@layout/reuse_none_data"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@+id/toolbarContainer" />

        <include
            layout="@layout/reuse_data_exception"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@+id/toolbarContainer" />

    </RelativeLayout>
</FrameLayout>